# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "trupanion/version"

Gem::Specification.new do |spec|
  spec.name          = "trupanion"
  spec.version       = Trupanion::VERSION
  spec.authors       = ["Zamith", "Kai"]
  spec.email         = ["open-source@zamith.pt", "kaimou1357@gmail.com"]

  spec.description   = "This is the unofficial Ruby wrapper to the Trupanion API."
  spec.summary       = spec.description
  spec.homepage      = "https://github.com/ZincPlatform/trupanion"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "rubocop", "~> 0.50.0"
  spec.add_development_dependency "vcr", "~> 3.0.3"
  spec.add_development_dependency "webmock", "~> 3.0.1"

  spec.add_runtime_dependency "faraday", "~> 0.12"
  spec.add_runtime_dependency "faraday_middleware", "~> 0.11"
  spec.add_runtime_dependency "dotenv", "~> 2.2.1"
end
